package com.xynet.pay.foreignAPI;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.Map;

@FeignClient("service-api")
public interface ApiClient {
	
	@RequestMapping(value = "/api/updateOrdeGoodsMeitu", method = RequestMethod.POST, consumes = "application/json;charset=UTF-8")
	Map updateOrdeGoodsMeitu(@RequestBody Map paraMap);
	
	/**核减预定数*/
	@RequestMapping(value="/api/updateOrdeGoodsPlat",method = RequestMethod.POST)
	 Object updateOrdeGoodsPlat(@RequestBody Map paraMap);

	@RequestMapping(value="/api/amr/socket",method = RequestMethod.POST)
	Object socket(@RequestBody Map paraMap);

}
